
//=======================================================
//  This code is generated by Terasic System Builder
//=======================================================

module C5G_LT24_display(

	//////////// CLOCK //////////
	input 		          		CLOCK_125_p,
	input 		          		CLOCK_50_B5B,
	input 		          		CLOCK_50_B6A,
	input 		          		CLOCK_50_B7A,
	input 		          		CLOCK_50_B8A,

	//////////// KEY //////////
	input 		          		CPU_RESET_n,
	input 		     [3:0]		KEY,

	//////////// GPIO, GPIO connect to LT24 - 2.4" LCD and Touch //////////
	input 		          		LT24_ADC_BUSY,
	output		          		LT24_ADC_CS_N,
	output		          		LT24_ADC_DCLK,
	output		          		LT24_ADC_DIN,
	input 		          		LT24_ADC_DOUT,
	input 		          		LT24_ADC_PENIRQ_N,
	output		          		LT24_CS_N,
	output		    [15:0]		LT24_D,
	output		          		LT24_LCD_ON,
	output		          		LT24_RD_N,
	output		          		LT24_RESET_N,
	output		          		LT24_RS,
	output		          		LT24_WR_N
);



//=======================================================
//  REG/WIRE declarations
//=======================================================

wire reset_n ;
wire frame_update ;



//=======================================================
//  Structural coding
//=======================================================

assign   reset_n = KEY[0] ;
assign   LT24_RESET_N = KEY[0] ;
assign   LT24_LCD_ON = 1'b1 ;

lt24_display lt24_display(
  ////  SYSTEM  ////
    //// output ////
    .frame_update(frame_update),

    //// input ////
    .clk(CLOCK_50_B6A),
    .rst_n(reset_n),
    
  ////  LCD  ////
    //// output ////
    .csn(LT24_CS_N),
    .data_cmdn(LT24_RS),
    .wrn(LT24_WR_N),
    .rdn(LT24_RD_N),

    //// inout ////
    .data_lcd(LT24_D),
    
  ////  ADC(touch)  ////
    //// output ////
    .adc_clk(LT24_ADC_DCLK),
    .adc_cs_n(LT24_ADC_CS_N),
    .adc_data_to(LT24_ADC_DIN),

    //// input ////
    .adc_busy(LT24_ADC_BUSY),
    .adc_data_from(LT24_ADC_DOUT),
    .adc_penint(LT24_ADC_PENIRQ_N)
    
    ) ;  // lt24_display


endmodule
